Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh
Class SSHProvider

    java.lang.Object
      com.stc.connector.ssh.SSHProvider

All Implemented Interfaces:
  com.maverick.ssh.HostKeyVerification

Direct Known Subclasses:
  SCPClientImpl, SFTPClientImpl

    public class SSHProvider

extends java.lang.Object
implements com.maverick.ssh.HostKeyVerification

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`protected int` | `iSSHVer`
`protected SSHConfiguration` | `mCFG`
`protected SSHInterface` | `mInterface`
`protected com.maverick.ssh.SshClient` | `mSSHClient`

Constructor Summary
`SSHProvider(SSHInterface intf, java.util.Map aParams)`

Method Summary
`protected void` | `connectWithAuthentication()`
`protected SSHConfiguration` | `getConfiguration()`
`boolean` | `verifyHost(java.lang.String host, com.maverick.ssh.components.SshPublicKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mSSHClient

    protected com.maverick.ssh.SshClient mSSHClient

### iSSHVer

    protected int iSSHVer

### mCFG

    protected SSHConfiguration mCFG

### mInterface

    protected SSHInterface mInterface

Constructor Detail

### SSHProvider

    public SSHProvider(SSHInterface intf,
                       java.util.Map aParams)

Method Detail

### getConfiguration

    protected SSHConfiguration getConfiguration()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### connectWithAuthentication

    protected void connectWithAuthentication()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### verifyHost

    public boolean verifyHost(java.lang.String host,
                              com.maverick.ssh.components.SshPublicKey key)
                       throws com.maverick.ssh.SshException

  Specified by:
    `verifyHost` in interface `com.maverick.ssh.HostKeyVerification`
  Throws:
    `com.maverick.ssh.SshException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD